"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vibrate_common_1 = require("./vibrate.common");
var app = require("tns-core-modules/application");
var Vibrate = (function (_super) {
    __extends(Vibrate, _super);
    function Vibrate() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Vibrate.prototype.hasVibrator = function () {
        return this.getVibratorService().hasVibrator();
    };
    Vibrate.prototype.vibrate = function (param, repeat) {
        if (param === void 0) { param = 300; }
        if (repeat === void 0) { repeat = -1; }
        if (this.hasVibrator()) {
            if (typeof param === "number") {
                this.getVibratorService().vibrate(param);
            }
            else {
                var patternLength = param.length;
                var pattern_1 = Array.create('long', patternLength);
                param.forEach(function (value, index) { pattern_1[index] = value; });
                this.getVibratorService().vibrate(pattern_1, repeat);
            }
        }
    };
    Vibrate.prototype.cancel = function () {
        this.getVibratorService().cancel();
    };
    Vibrate.prototype.getVibratorService = function () {
        if (!this.vibratorService) {
            this.vibratorService = app.android.context.getSystemService(android.content.Context.VIBRATOR_SERVICE);
        }
        return this.vibratorService;
    };
    return Vibrate;
}(vibrate_common_1.Common));
exports.Vibrate = Vibrate;
//# sourceMappingURL=vibrate.android.js.map